Subject: Re: philosophy question
From: [email-masked] (Steven Bellenot)

5 Nov 1997 07:43:12 -0800
Message-ID: <[email-masked]>
References: <Pine.SUN.3.91.971105085104.16748E-100000@terra>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
To: [email-masked] (Ron G. Minnich)
Cc: [email-masked]

> 
> On Tue, 4 Nov 1997, Steven Bellenot wrote:
> > I see three directions gnuwin32 could/should go:
> > 1. Providing Unix based tools that are usable in win32. How a person
> > can live without a reasonable shell, diff, grep and friends ...
> > 2. Provide a development environment for the translation of the
> > vast freeware of unix to win32.
> > 3. Make an environment as nearly unix-like as possible.
> 
> i don't see a conflict. My goal is simple: to take as much control as
> possible of NT away from microsoft and into the free software community,
> so that on those rare cases when I have to use NT, I don't use their
> miserable tools, their expensive software, or depend on their unreliable
> SDKs. "Embrace and extend". gnu-win32 is a step toward that end. In the 
> limit, we boot an NT kernel and run only gnu tools on top. Now that would be 
> fun. 
> 
> ron
> 

Whereas I agree with your goal I would say you fit into goal #3.
I would say you would want an environment shell that completely
hides the MicroSoft layer below. You would have no need of tools
that co-exist, or live in a stand alone environment.

From a #3 view point, it might be better to replace MS lame login
with an /etc/passwd based system but that certainly would not fit
a #1 view point

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".